package nft.series_claim;

public class ClaimResult {
    int taskStatus;
    String taskMsg;
    String seriesId;
    String txHash;
    long chainTimestamp;

    public ClaimResult() {
    }

    public ClaimResult(int taskStatus, String taskMsg, String seriesId, String txHash, long chainTimestamp) {
        this.taskStatus = taskStatus;
        this.taskMsg = taskMsg;
        this.seriesId = seriesId;
        this.txHash = txHash;
        this.chainTimestamp = chainTimestamp;
    }

    @Override
    public String toString() {
        return "ClaimResult{" +
                "taskStatus=" + taskStatus +
                ", taskMsg='" + taskMsg + '\'' +
                ", seriesId='" + seriesId + '\'' +
                ", txHash='" + txHash + '\'' +
                ", chainTimestamp=" + chainTimestamp +
                '}';
    }

    public int getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(int taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getTaskMsg() {
        return taskMsg;
    }

    public void setTaskMsg(String taskMsg) {
        this.taskMsg = taskMsg;
    }

    public String getSeriesId() {
        return seriesId;
    }

    public void setSeriesId(String seriesId) {
        this.seriesId = seriesId;
    }

    public String getTxHash() {
        return txHash;
    }

    public void setTxHash(String txHash) {
        this.txHash = txHash;
    }

    public long getChainTimestamp() {
        return chainTimestamp;
    }

    public void setChainTimestamp(long chainTimestamp) {
        this.chainTimestamp = chainTimestamp;
    }
}
